from SyntaxDesc import *
from Register import *
def TCLSyntax():
	return SyntaxDesc(
#		Words(gStyleStructKeyword,
#			"break", "continue",
#			"return", 
#			"for", "while",
#			"if",  "else", "then",
#		),
#		MatchPair(gStyleString,'"""','"""','\\\\','\\"""'),
#		MatchPair(gStyleString,"'''","'''","\\\\","\\'''"),
#		Regex(gStyleString,
#			'r?\("\([^\\"\n]\|\\\\.\|\\\\\n\)*"\|\'\([^\\\'\n]\|\\\\.\|\\\\\n\)*\'\)'
#		),
		IfCommentHighlight(Regex(gStyleComment,'#.*'))
	)

RegisterSyntax(TCLSyntax,"TCL","ITCL","TCL/ITCL Source")
